      program DOLO
!
!-------------------------------------------------------------------
!  DOLO : fabrication d'orbitales locales d'essai
!
!    - preparer un fichier d'entree "DOLOIN", avec les donnees 
!      de schmudorb jusqu'a "&orb ...". Les OL sont ensuite
!      entree en interactif. Ajouter dans les donnees &smu une
!      variable "workdir='Nom_de_la_dir_de_travail'

!  - Fonctionnement interactif :
!    - taper "idolo", puis entrer les commandes une a une
!      repondre aux questions, manipuler la matrice finale
!    - on peut avoir prepare des donnees dont on sait qu'elles
!      marche (une liste de donnees "o_..." ou "sigma_", etc... 
!      dans un fichier OLD_DATA. dolo traite alors d'abord ce 
!      fichier, puis demande la suite en interactif
!
!  - Fonctionnement batch :
!      le programme s'appelle alors "dolo". Il utilise les memes 
!      fichiers DOLOIN et OLD_DAT. OLD_DATA doit etre complet pour
!      que le programme se deroule bien.
!-------------------------------------------------------------------
!  
!
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      character*8 progr
      character*80 nom
      common/prog/progr







      print*,' '
      print*,'*******************************************************'
      print*,'======================================================='
      print*,'                       DOLO'                            
      print*,'======================================================='
      print*,'*******************************************************'
      print*,' '
      call lirdata
      call sto5
      call openf
      call lirfiles
      call lirone
      call schmud1
      call scf1
      call init_stor
      call mult_a
      call interac
      close(92,status='delete')
      close(93,status='delete')
      close(94,status='delete')
      close(95,status='delete')
      close(96,status='delete')
      close(9,status='delete')
!      close(8,status='delete')
      
      call titre('End of Dolo#',30)
      end
